Subject: Re: [PATCH/v2] git-basis, a script to manage bases for git-bundle

From: Mark Levedahl <[email-masked]>
Date: Fri, 04 Jul 2008 09:49:31 -0400

Johannes Schindelin wrote:
> Hi,
> 
> On Fri, 4 Jul 2008, Mark Levedahl wrote:
> 
> 
> /me wonders if it would not make sense to support "git push <bundle>", 
> then.  Maybe with a running counter, i.e.
> 
> 	$ git push the-bundle-5.bundle master
> 
> would create the-bundle-6.bundle with everything needed in addition to 
> the-bundle-5.bundle to have the current "master".
> 
> Just an idea,
> Dscho
> 

I think the trouble here is that the-bundle-5.bundle does not necessarily 
contain the basis. Consider the general case of pushing master, next, pu, and 
only pu has updated since the last push. Now, the-bundle-6.bundle will only 
contain pu, not master nor next as there is nothing new, and thus is not a good 
basis for creating the-bundle-7.bundle. This leads to a need for a meta-storage 
of basis or a redefinition of how git-bundle deals with refs that are equal to 
the given basis (currently, it excludes such refs).

Mark